[project]
name = "advent22-api"
version = "0.1.0"
description = ""
license = {file = "LICENSE"}
readme = "README.md"
requires-python = ">=3.14"
authors = [
    {name = "Jörn-Michael Miehe", email = "jmm@yavook.de"},
    {name = "Penner42", email = "unbekannt42@web.de"},
]
dependencies = [
    "asyncify>=0.12.1",
    "cachetools>=7.0.1",
    "cachetoolsutils>=11.0",
    "fastapi>=0.129.0",
    "granian[pname,uvloop]>=2.7.1",
    "markdown>=3.10.2",
    "numpy>=2.4.2",
    "pillow>=12.1.1",
    "pydantic-settings>=2.13.0",
    "redis[hiredis]>=7.2.0",
    "requests>=2.32.5",
    "tomli-w>=1.2.0",
    "webdavclient3>=3.14.7",
]

[project.scripts]
advent22 = "advent22_api.production:start"

[dependency-groups]
dev = [
    "fastapi[standard]>=0.129.0",
    "pytest>=9.0.2",
    "ruff>=0.15.1",
]

[build-system]
requires = ["uv_build>=0.10.4,<0.11.0", "packaging"]
build-backend = "uv_build"

[tool.uv.build-backend]
# module-name = "advent22_api"
module-root = ""
